# $Revision: 1.25 $, $Date: 2011/05/01 19:27:06 $
Summary:	A C++ interface for glib library - cross MinGW32 version
Summary(pl.UTF-8):	Interfejs C++ dla biblioteki glib - wersja skrośna MinGW32
%define		realname	glibmm
Name:		crossmingw32-%{realname}
Version:	2.28.0
Release:	1
License:	LGPL v2+
Group:		Development/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/glibmm/2.28/%{realname}-%{version}.tar.bz2
# Source0-md5:	8cda9a84e6efdd8f35d2803432783325
URL:		http://www.gtkmm.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	crossmingw32-gcc-c++
BuildRequires:	crossmingw32-glib2 >= 2.28.0
BuildRequires:	crossmingw32-libsigc++ >= 2.2.0
BuildRequires:	libtool >= 2:1.5
BuildRequires:	m4
BuildRequires:	mm-common >= 0.9.5
BuildRequires:	pkgconfig >= 1:0.15
Requires:	crossmingw32-glib2 >= 2.28.0
Requires:	crossmingw32-libsigc++ >= 2.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker
%define		filterout_ld	-Wl,-z,.*

%description
A C++ interface for glib library - cross MinGW32 version.

%description -l pl.UTF-8
Interfejs C++ dla biblioteki glib - wersja skrośna MinGW32.

%package static
Summary:	Static glibmm library (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczna biblioteka glibmm (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static glibmm library (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczna biblioteka glibmm (wersja skrośna MinGW32).

%package dll
Summary:	DLL glibmm library for Windows
Summary(pl.UTF-8):	Biblioteka DLL glibmm dla Windows
Group:		Applications/Emulators
Requires:	crossmingw32-glib2-dll >= 2.28.0
Requires:	crossmingw32-libsigc++-dll >= 2.2.0
Requires:	wine

%description dll
DLL glibmm library for Windows.

%description dll -l pl.UTF-8
Biblioteka DLL glibmm dla Windows.

%prep
%setup -q -n %{realname}-%{version}

%build
export PKG_CONFIG_LIBDIR=%{_prefix}/lib/pkgconfig
%{__libtoolize}
%{__aclocal} -I build
%{__autoconf}
%{__automake}
%configure \
	--target=%{target} \
	--host=%{target} \
	--disable-fulldocs \
	--enable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
mv -f $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/{doc,devhelp}
# use these from native glibmm if needed
%{__rm} -r $RPM_BUILD_ROOT%{_libdir}/glibmm-2.4/proc \
	$RPM_BUILD_ROOT%{_datadir}/aclocal

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/libgiomm-2.4.dll.a
%{_libdir}/libglibmm-2.4.dll.a
%{_libdir}/libglibmm_generate_extra_defs-2.4.dll.a
%{_libdir}/libgiomm-2.4.la
%{_libdir}/libglibmm-2.4.la
%{_libdir}/libglibmm_generate_extra_defs-2.4.la
%dir %{_libdir}/giomm-2.4
%{_libdir}/giomm-2.4/include
%dir %{_libdir}/glibmm-2.4
%{_libdir}/glibmm-2.4/include
%{_includedir}/giomm-2.4
%{_includedir}/glibmm-2.4
%{_pkgconfigdir}/giomm-2.4.pc
%{_pkgconfigdir}/glibmm-2.4.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgiomm-2.4.a
%{_libdir}/libglibmm-2.4.a
%{_libdir}/libglibmm_generate_extra_defs-2.4.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libgiomm-2.4-*.dll
%{_dlldir}/libglibmm-2.4-*.dll
%{_dlldir}/libglibmm_generate_extra_defs-2.4-*.dll

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw32-glibmm.spec,v $
Revision 1.25  2011/05/01 19:27:06  qboosh
- updated to 2.28.0

Revision 1.24  2010/09/18 19:48:33  qboosh
- updated to 2.24.2

Revision 1.23  2010/01/22 03:07:05  lkrotowski
- up to 2.22.1

Revision 1.22  2009/04/11 19:35:06  qboosh
- updated to 2.20.0
- added win32 patch (gio is unix-only)

Revision 1.21  2008/11/15 06:57:56  qboosh
- updated URL

Revision 1.20  2008/10/21 19:58:29  qboosh
- updated to 2.18.1

Revision 1.19  2008/10/14 06:19:51  qboosh
- updated to 2.18.0

Revision 1.18  2008/07/09 22:50:28  qboosh
- updated to 2.16.4

Revision 1.17  2008/05/11 22:43:12  qboosh
- updated to 2.16.2

Revision 1.16  2008-04-18 05:25:16  qboosh
- updated to 2.16.1
- removed obsolete unix patch

Revision 1.15  2008-03-15 15:08:54  qboosh
- updated to 2.16.0
- added unix patch to make gio-unix API usage conditional

Revision 1.14  2008-01-14 19:28:19  qboosh
- force %{_lib}-independent libdir

Revision 1.13  2007/11/01 19:46:15  qboosh
- updated to 2.14.2

Revision 1.12  2007/09/13 19:33:12  qboosh
- updated Source0 URL

Revision 1.11  2007/09/13 19:32:49  qboosh
- updated to 2.14.0

Revision 1.10  2007/08/28 17:15:10  qboosh
- for crosscompiling use PKG_CONFIG_LIBDIR instead of PKG_CONFIG_PATH

Revision 1.9  2007/06/13 06:34:48  qboosh
- updated to 2.12.10

Revision 1.8  2007/05/02 16:52:56  qboosh
- updated to 2.12.9

Revision 1.7  2007/04/17 11:53:36  qboosh
- updated to 2.12.8

Revision 1.6  2007/03/06 23:44:22  qboosh
- updated to 2.12.7
- cleanup, separated -static,-dll

Revision 1.5  2007/02/25 15:14:25  czarny
- proper static + shared build

Revision 1.4  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.3  2007/02/12 18:02:36  qboosh
- indicate cross in descs

Revision 1.2  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.1  2007/01/30 21:49:43  czarny
- based on glibmm.spec
